/* $FORM-GENERICS */
form, fieldset, button {
    margin:0; padding:0; border:0;
    background:transparent;
}
button::-moz-focus-inner { padding:0; border:0; }
input, select, button { font:12px YSLsansCRegular, Arial, Helvetica, sans-serif; }

input {
    float:left;
    margin:0; padding:0;
}
input[type=password] { font-family:sans-serif; } /*Debug IE7/8 : invisible content on input*/

.text input,
.textarea textarea {
    padding:5px 10px; border:0;
    background:#FFF; color:#070707;
}
.text label { display:block; }

.checkboxes li,
.radio li {
    float:left;
    margin-right:20px;
}
.checkbox input,
.checkboxes input,
.radio input { margin-top:2px; }
.checkbox label,
.checkboxes label,
.radio label {
    float:left;
    padding-left:5px;
}

/* $PRETTY-FORM iPad */
.text input, .actions input{
    /*-moz-border-radius:0;
    -webkit-border-radius:0;*/
    border-radius:0;
}


/* $PRETTY-FORM-FIELDS */
#js .select { position:relative; }
#js .checkbox input,
#js .checkboxes input,
#js .radio input,
#js .select select { position:absolute; left:-10000px; }

#js .checkbox label,
#js .checkboxes label,
#js .radio label { padding:0; }
.faux-checkbox,
.faux-radio {
    position:relative; top:2px;
    float:left;
    overflow:hidden;
    margin-right:3px;
    width:15px; height:13px;
    background:url(http://yslexperience.com/img/common/faux-fields.png) no-repeat;
}
.faux-checkbox { background-position:0 0; }
.focus .faux-checkbox { background-position:-15px 0; }
.checked .faux-checkbox { background-position:-30px 0; }
.checked.focus .faux-checkbox { background-position:-45px 0; }
.faux-radio { background-position:0 -13px; }
.focus .faux-radio { background-position:-15px -13px; }
.checked .faux-radio { background-position:-30px -13px; }
.checked.focus .faux-radio { background-position:-45px -13px; }

label.disabled {
    opacity:0.3;
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=30)";
}

.faux-select {
    width:180px;
    padding-right:31px;
    background:#999 url(http://yslexperience.com/img/common/faux-fields.png) no-repeat 120px 50%;
}
.faux-select div {
    overflow:hidden;
    padding:0 10px; border:1px solid #DADADA; border-right-width:0;
    background:#FFF; color:#070707;
    text-overflow:ellipsis;
    line-height:2;
}
.faux-select.focus div { background:#EEE; }
.faux-select span { white-space:nowrap; }
.faux-options-scrollable {
    position:relative;
    overflow:hidden;
    border:1px solid #DADADA; border-top-width:0;
    background:#FFF; color:#070707;
}
#box-faux-options-mask { z-index:1030; }
.faux-options { z-index:1031; }
.faux-options-reversed .faux-options-scrollable { border-top:1px solid #DADADA; border-bottom-width:0; }
.faux-options .scrollable-content { position:absolute; top:0; left:0; }
.faux-options .scrollbar { position:absolute; top:1px; right:1px; }
.faux-options .scrollbar-gutter {
    position:relative;
    overflow:hidden;
    width:20px;
    background:#DADADA;
}
.faux-options .scrollbar-face {
    position:absolute;
    width:20px;
    background:#070707;
}
.faux-options li { padding:2px 30px 2px 10px; }
.faux-options .scrollable-content li { margin-right:24px; padding-right:10px; }
.faux-options li:hover { background:#EEE; }
.faux-options li.selected { background:#DADADA; }

/* $CLEARING */
.text,
.checkbox,
.checkboxes, .checkboxes ul,
.radio, .radio ul { overflow:hidden; }